/// <reference types="react" />
import "./RightClickMenu.scss";
import PropTypes from "prop-types";
interface Props {
    rightClickTargets?: {
        className: string;
        menuList: (JSX.Element | string)[];
    }[];
    preventDefaultOnWindow?: boolean;
    menuClassName?: string;
    liClassName?: string;
}
declare type TCssCoordinate = "initial" | number;
export interface ICoordinate {
    left: TCssCoordinate;
    right: TCssCoordinate;
    bottom: TCssCoordinate;
    top: TCssCoordinate;
}
/**
 * @component RightClickMenu
 * @author Xerxes (AmirHossein Salighedar) (https://github.com/amirho1)
 * @param param
 * @param param.rightClickTargets the className of target elements
 * @param param.preventDefaultOnWindow sets prevent from default behavior of right click
 * @param param.menuClassName
 * @param param.liClassName
 * @returns
 */
declare function RightClickMenu({ rightClickTargets, preventDefaultOnWindow, menuClassName, liClassName, }: Props): JSX.Element;
declare namespace RightClickMenu {
    var propTypes: {
        rightClickTargets: PropTypes.Requireable<(PropTypes.InferProps<{
            className: PropTypes.Validator<string>;
            menuList: PropTypes.Validator<(string | PropTypes.ReactElementLike | null | undefined)[]>;
        }> | null | undefined)[]>;
        preventDefaultOnWindow: PropTypes.Requireable<boolean>;
        menuClassName: PropTypes.Requireable<string>;
        liCLassName: PropTypes.Requireable<string>;
    };
}
export default RightClickMenu;
