interface Props {
    clientX: number;
    clientY: number;
    bottomBorderStartDistance: number;
    rightBorderStartDistance: number;
}
/**
 * @author Xerxes (AmirHossein Salighedar) (https://github.com/amirho1)
 * @function calculateCoordinate
 *
 * @param props
 * @param props.clientX the x coordinate of client mouse
 * @param props.clientY the y coordinate of client mouse
 * @param props.bottomBorderStartDistance the height of menu to show correctly menu on screen
 * @param props.rightBorderStartDistance the width of menu to show correctly menu on screen
 *
 * @returns {object}
 *
 */
export declare function calculateCoordinate({ clientX, clientY, bottomBorderStartDistance, rightBorderStartDistance, }: Props): {
    left: "initial" | number;
    right: "initial" | number;
    bottom: "initial" | number;
    top: "initial" | number;
};
export {};
